function Initialize()
{
	//SRR_ELLIOT_WAVE_OSCILLATOR_INDICATOR_V1.02
	//Coded for AD 4.0 by SRR (aka Indigo-On), 2017-2018
	//   -  34-  
	//,   5- SMA,    
	//    (   "5/34 oscillator).
	//  MQL5
	// 1  
	//
	//v1.02	-	   .
	//v1.01	-	    
	//			(   SRR_ENTROPY_V1).
	//v1.00	-	  .

	//   #1
	// :
	IndicatorName = "SRR_EWO_V1";		// 
	PriceStudy = false;					//   
	// :
 	AddParameter("FastPeriod", 5);		//  SMA (   = 5)
 	AddParameter("SlowPeriod", 34);		//  SMA (   = 34)
	//   Candle
	AddInput("Input1", Inputs.Candle);
 	//  #1  -    EWO
	AddSeries("EWO", DrawAs.Custom, Color.Silver, AxisType.ZeroBased, true);
	//   
	AddLevel(0.0, Color.Silver, LineStyles.Solid, 1, "EWO");
}

function Evaluate()
{
	///////////////////////////////////////////////////////////
	///   
	///////////////////////////////////////////////////////////

	///////////////////////////////////////////////////////////
	///  ELLIOT WAVE OSCILLATOR
	///     EWO
	///////////////////////////////////////////////////////////
	//  
	//    
	if (CurrentIndex > 0)
		EWO = SMA(LIB.MID(Input1), FastPeriod)[0] - SMA(LIB.MID(Input1), SlowPeriod)[0];
	else
		EWO = 0.0;
	///////////////////////////////////////////////////////////
	///    EWO  
	///////////////////////////////////////////////////////////
	if (EWO[0] > 0.0)
	{
		if (EWO[0] > EWO[-1])
			EWO.DrawHistogram(Color.Teal);
		if (EWO[0] < EWO[-1])
			EWO.DrawHistogram(Color.Blue);
	}
	else
		if (EWO[0] < 0.0)
		{
			if (EWO[0] < EWO[-1])
				EWO.DrawHistogram(Color.Magenta);
			if (EWO[0] > EWO[-1])
				EWO.DrawHistogram(Color.Purple);
		}
		else
			EWO.DrawHistogram(Color.Gray);
}
